Subject: Re: [bug#41345] 000-update-python-argon2-cffi.patch

From: Josh Marshall <[email-masked]>
Date: Mon, 25 May 2020 18:39:34 -0400

If those are the particular expectations and standards, should they change
from only policy in the manual to something enforced by a git pre-commit
hook?

On Mon, May 25, 2020, 17:35 Marius Bakke <[email-masked]> wrote:

> Josh Marshall <[email-masked]> writes:
>
> > When reading https://guix.gnu.org/manual/en/guix.html#Submitting-Patches
> > I do not see guidance on this particular aspect of sending patches.
> > What do I need to alter, and should those details be added to the
> > manual?
>
> It's not very prominent, but it's there:
>
>   Please write commit logs in the ChangeLog format (see Change Logs in
>   GNU Coding Standards); you can check the commit history for examples.
>
> With a link to the GNU Coding Standards document:
>
>   https://www.gnu.org/prep/standards/standards.html#Change-Logs
>
> Perhaps we could include a condensed version as it borders on TL;DR.
>
> >  git commit -am "Updating python-argon2-cffi to 20.1.0"
>
> If you omit the -m, git will open your $EDITOR where you can contemplate
> on how best to communicate what the patch does, and write over multiple
> lines.  There are helper functions in Emacs to fill out the boring
> "* gnu/packages/file-name.scm (variable):" part of the commit message.
>
> When unsure, I recommend running "git log the-file.scm" and look at
> previous commit messages for inspiration.
>
> Thanks for persevering!  :-)
>